Download it now!
Bug 126425 - EDITING Custom size chart legend does not ellipsize contents
Summary: EDITING Custom size chart legend does not ellipsize contents
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Tünde Tóth
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords:
Depends on:
Blocks: OOXML-Chart
  Show dependency treegraph
 
Reported: 2019-07-16 11:50 UTC by NISZ LibreOffice Team
Modified: 2020-09-19 10:09 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file from Word with reduced legend size (42.34 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2019-07-16 11:50 UTC, NISZ LibreOffice Team
Details
Screenshot of the original document side by side in Word and Writer (128.46 KB, image/png)
2019-07-16 11:51 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2019-07-16 11:50:11 UTC
Description:
If a chart legend in Word has a custom size that is too small to contain the text then Word ellipsizes the text. 
LO on the other hand can not ellipsize the legend box contents, instead if the text would not fit, it hides the legend contents entirely.
This can be seen during editing and the attached example docx triggers it as well.


Steps to Reproduce:
1.	Create a chart in Word with one data series that has a long name
2.	Reduce the legend boxes size so much that the text does not fit in it.
3.	To trigger the problem in Writer also set a custom font for the legend object, I used Algerian in a copy of the previously created chart.
4.	Save the file and open it in Writer


Actual Results:
The legend box content is not visible at all in the lower chart with custom font setting.  It is possible to select and resize it, if you know where it should be.

Expected Results:
The legend box content is visible in the lower chart, with the contents text ellipsized.


Reproducible: Always


User Profile Reset: No



Additional Info:
LibreOffice details:
Version: 6.4.0.0.alpha0+ (x86)
Build ID: 49422a469646ad8be43ba828ca24c2484c26b9e8
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-07-08_00:50:19
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: CL
Comment 1 NISZ LibreOffice Team 2019-07-16 11:50:56 UTC
Created attachment 152803 [details]
Example file from Word with reduced legend size
Comment 2 NISZ LibreOffice Team 2019-07-16 11:51:23 UTC
Created attachment 152804 [details]
Screenshot of the original document side by side in Word and Writer
Comment 3 Dieter 2019-07-19 06:31:24 UTC
I confirm it with the attachment from comment 1 and

Version: 6.4.0.0.alpha0+ (x64)
Build ID: 2f2f4767089512c34514896bc37823f9310e9dd4
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-07-10_02:13:57
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded

in comparison to MS Word 2016

Additional information for the first chart
MS Word shows only part of the legend ("Data series with a long..."), while writer shows the whole legend
Comment 4 Commit Notification 2020-06-30 12:22:10 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/72613bd2a04b4b1ba614c0f645e9804ebfe73682

tdf#126425 Chart: fix missing legend with exceeding text

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2020-07-01 06:45:42 UTC
Tünde Tóth committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/dc219b0fe04d07a1e5c7c4c37bff94c29d4a1171

tdf#126425 Chart: fix missing legend with exceeding text

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Dieter 2020-09-19 10:09:31 UTC
VERIFIED FIXED with

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 8c18cd6823ddf4ef5ba67801a84cee26c9b5a9a6
CPU threads: 4; OS: Windows 10.0 Build 19041; UI render: Skia/Raster; VCL: win
Locale: de-DE (de_DE); UI: en-GB
Calc: threaded

Tünde, thanks for fixing it!